package com.mm.controller;

import com.mm.domen.Kupac;
import com.mm.domen.KupacPravnoLice;
import com.mm.domen.Mesto;
import com.mm.service.KupacService;
import com.mm.service.MestoService;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

/**
 *
 * @author Milos Milic
 */
@Controller
public class KupacController {

    @Autowired
    private KupacService kupacService;

    @Autowired
    private MestoService mestoService;

    @RequestMapping(value = "/action/svi_kupci", method = RequestMethod.GET)
    public ModelAndView findAll() {
        List<Kupac> kupci = kupacService.findAll();
        return new ModelAndView("/WEB-INF/svi_kupci.jsp", "kupacList", kupci);
    }

    @RequestMapping(value = "/action/obrisi_kupca")
    public ModelAndView delete(Long kupacId) {
        kupacService.delete(kupacId);
        List<Kupac> kupci = kupacService.findAll();
        return new ModelAndView("/WEB-INF/svi_kupci.jsp", "kupacList", kupci);
    }

    @RequestMapping(value = "/action/sacuvaj_pravno_lice", method = RequestMethod.GET)
    public ModelAndView save() {
        List<Mesto> lm = mestoService.findAll();
        return new ModelAndView("/WEB-INF/unos_pravnog_lica.jsp", "kolekcijaMesta", lm);
    }

    @RequestMapping(value = "/action/sacuvaj_pravno_lice", method = RequestMethod.POST)
    public ModelAndView save(String naziv, String pib, String adresa, Long mestoPtt) {
        Mesto m = mestoService.findByPtt(mestoPtt);
        KupacPravnoLice kupac = new KupacPravnoLice();
        kupac.setNaziv(naziv);
        kupac.setAdresa(adresa);
        kupac.setPib(pib);
        kupac.setMesto(m);
        kupacService.save(kupac);
        List<Kupac> kupci = kupacService.findAll();
        return new ModelAndView("/WEB-INF/svi_kupci.jsp", "kupacList", kupci);
    }
}
